
Foreman - Bug #13110

Plugin sprockets/registration initializer deprecation warning missing initializer name

01/11/2016 07:44 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Plugin integration   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3050

  

Description

The plugin initialization deprecation message added in #4629 is missing the name of the plugin affected, as the "called from"

information doesn't indicate the source.

Initializing plugins using :after => :finish_hook inyour engine is deprecated. It delays the load 

of some assets in Sprockets. If you are the plugin author, please change your plugin engine initia

lizer to use:before => :finisher_hook or after_initialize. (called from ...)

Related issues:

Related to Foreman - Feature #4629: Add Patternfly support in foreman Closed 03/11/2014

Associated revisions

Revision 5290e576 - 01/11/2016 10:28 AM - Dominic Cleal

fixes #13110 - add initializer name to plugin registration deprecation

History

#1 - 01/11/2016 07:46 AM - Dominic Cleal

- Related to Feature #4629: Add Patternfly support in foreman added

#2 - 01/11/2016 07:46 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3050 added

#3 - 01/11/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5290e57648b1bc93b176e25039d58a1677a74beb.

#4 - 01/12/2016 04:14 AM - Dominic Cleal

- translation missing: en.field_release set to 71
